Documentation

Remote Config Admin API


Remote Config Admin API


Remote Config Admin API

Overview

Unity Remote Config is a cloud service that allows you to tune your game design without deploying new versions of your application. With Remote Config, you can:
Adapt your game to different types of players. Tune your game difficulty curve in near real time. Alter graphic quality based on device to optimize performance. Roll out new features gradually while monitoring impact. Tailor game settings to different regions or other player segments. Run campaign tests comparing colors, styles, prices, etc. Turn seasonal, holiday, or other time-sensitive events on or off. Enable or disable features for specific player segments or across the entire user base.
Define Game Overrides that control which players receive what settings updates, and when. Unity manages the delivery and assignment of those settings with minimal impact to performance. No update to your application is necessary. When a player launches your game, Remote Config detects contextual attributes used as game override conditions, based on Unity, the application, the user, or custom criteria that you define. The service then returns customized settings for each player according to the game overrides that apply to them. This allows different players using the same version of your game to have slightly different experiences. It also allows you to understand the impact each experience has on your business.

Limitation

  • A configuration can have a max payload size of 5MB
  • A string limit is only of 65 535 characters
Download OpenAPI specification:

Create a game override


Create a new game override
Authorizations
ServiceAccount (remote_config.game_overrides.create)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.game_overrides.create

Path parameters for "Create a game override"

projectId

string
required
Unity Project Id

Request body for "Create a game override"

Media Type:
application/json

audience

array[string]
example: ["All"]
A list of audience whom you want to target your campaign

condition

The Condition is a JEXL expression of contextual data attributes used to define the audience for which you want a Rule to apply.

JEXL Support

  • JexlExpression
    from the Java Expression Language (JEXL) spec.
  • JexlScripts
    are not supported.

Categories

Remote Config currently supports three attribute categories.

Category

Description

user
Custom developer-defined attributes that describe the user
app
Custom developer-defined attributes that describe the application
unity
Predefined attributes (detailed below)

Custom User ID

When you call
SetCustomUserId
in our C# APIs, this will automatically expose the ID you pass in to the
user
attributes.
Example from C#:
ConfigManager.SetCustomUserID("some-user-id");
Allows you to create a rule condition like:
user.customUserId == "some-user-id"

Predefined
unity
attributes

Attribute

Type

Description

Example

appBuildVersion
StringThe build number your application is running
"1"
appVersion
StringThe version your application is running
"1.0"
cpu
StringThe name of the cpu processor
"Intel(R) Core(TM) i7-7920HQ CPU @ 3.10GHz"
cpuFrequency
IntThe processor frequency in MHz of the device running your app
3100
country
StringThe applicable country. This attribute uses ISO 3166-1 alpha2 country codes
"US"
language
StringThe applicable language. This attribute uses ISO 639-1 language codes
"en"
osVersion
StringThe operating system version of the device running your app
"Mac OS X 10.14.3"
platform
StringThe applicable device or platform (see below)
"iOS"
timeSinceStart
IntThe time in milliseconds since a session of your app has begun
2473741
graphicsDeviceVendor
StringVendor of the user's graphics card
"ATI Technologies Inc."
ram
IntAmount of ram memory in MB on the device
16384

Supported platforms

  • Android
  • iOS
  • Linux
  • macOS
  • Metro
  • SamsungTV
  • Switch
  • Tizen
  • tvOS
  • WebGL
  • Wii
  • Windows

createdAt

No description

enabled

boolean
No description

endDate

string
example: 2020-08-09T17:13:56Z
Timestamp in ISO 8601 UTC format (YYYY-MM-DDThh:mm:ssZ). Upper bound for when enabled rules will cease to be active.

environmentId

string
No description

id

string
No description

kpi

array[string]
List of key performing indicators

name

string
No description

priority

integer
Integer between 0 (highest priority) and 1000 (lowest priority). In the event of a conflict, priority is awarded to the Rule that was created first.

rolloutPercentage

integer
The percentage of your user base that will adhere to this rule. For values less than 100, Unity randomly assigns the Rule to that percent of your players on a user ID basis. While experiences may differ from player to player, players will have a consistent experience each session.

startDate

string
example: 2019-08-09T17:13:56Z
Timestamp in ISO 8601 UTC format (YYYY-MM-DDThh:mm:ssZ). Lower bound for when enabled rules will go into effect.

updatedAt

No description

variants

array[object]
No description

content

array[object]
required
No description

type

string
required
No description

values

array[object]
required
No description
One of

key

string
No description

type

string
No description

value

string
Strings are limited to 10000 characters.

name

string
required
The unique identifier for the variant. Must be non-empty and unique across the variants of a Campaign.

weight

integer
Conditionally optional. If no variants have a weight then Remote Config will treat each variant as equally distributed. However, if one variant has a weight then all variants must define a weight.
If defined, the sum of all variant's weights must equal 100

HTTP response status codes for "Create a game override":

Code samples for "Create a game override":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "audience": [ "All" ], "condition": null, "createdAt": "2024-01-01T00:00:00Z", "enabled": false, "endDate": "2020-08-09T17:13:56Z", "environmentId": "string", "id": "string", "kpi": [ "string" ], "name": "string", "priority": 1000, "rolloutPercentage": 100, "startDate": "2019-08-09T17:13:56Z", "updatedAt": "2024-01-01T00:00:00Z", "variants": [ { "content": [ { "type": "settings", "values": [ null ] } ], "name": "string", "weight": 0 } ]}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/campaigns"

Response example

{ "createdAt": "2024-01-01T00:00:00Z", "id": "string"}

Get a single game override


Retrieve a game override
Authorizations
ServiceAccount (remote_config.game_overrides.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.game_overrides.list

Path parameters for "Get a single game override"

id

string
required
Campaign Id

projectId

string
required
Unity Project Id

HTTP response status codes for "Get a single game override":

Code samples for "Get a single game override":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/campaigns/{id}"

Response example

{ "audience": [ "10c13fd6-927f-4875-8a76-f9ec240c6727" ], "condition": "app.score >= 10", "createdAt": "2024-01-01T00:00:00Z", "description": "This override is a test", "enabled": false, "endDate": "2020-08-09T17:13:56Z", "environmentId": "string", "id": "string", "kpi": [ "string" ], "name": "string", "priority": 1000, "projectId": "string", "rolloutPercentage": 100, "startDate": "2019-08-09T17:13:56Z", "updatedAt": "2024-01-01T00:00:00Z", "variants": [ { "content": [ { "type": "settings", "values": [ null ] } ], "name": "string", "weight": 0 } ]}

Update a single game override


Updates an existing game override
Authorizations
ServiceAccount (remote_config.game_overrides.update)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.game_overrides.update

Path parameters for "Update a single game override"

id

string
required
Campaign Id

projectId

string
required
Unity Project Id

Request body for "Update a single game override"

Media Type:
application/json

audience

array[string]
example: ["All"]
A list of audience whom you want to target your campaign

condition

The Condition is a JEXL expression of contextual data attributes used to define the audience for which you want a Rule to apply.

JEXL Support

  • JexlExpression
    from the Java Expression Language (JEXL) spec.
  • JexlScripts
    are not supported.

Categories

Remote Config currently supports three attribute categories.

Category

Description

user
Custom developer-defined attributes that describe the user
app
Custom developer-defined attributes that describe the application
unity
Predefined attributes (detailed below)

Custom User ID

When you call
SetCustomUserId
in our C# APIs, this will automatically expose the ID you pass in to the
user
attributes.
Example from C#:
ConfigManager.SetCustomUserID("some-user-id");
Allows you to create a rule condition like:
user.customUserId == "some-user-id"

Predefined
unity
attributes

Attribute

Type

Description

Example

appBuildVersion
StringThe build number your application is running
"1"
appVersion
StringThe version your application is running
"1.0"
cpu
StringThe name of the cpu processor
"Intel(R) Core(TM) i7-7920HQ CPU @ 3.10GHz"
cpuFrequency
IntThe processor frequency in MHz of the device running your app
3100
country
StringThe applicable country. This attribute uses ISO 3166-1 alpha2 country codes
"US"
language
StringThe applicable language. This attribute uses ISO 639-1 language codes
"en"
osVersion
StringThe operating system version of the device running your app
"Mac OS X 10.14.3"
platform
StringThe applicable device or platform (see below)
"iOS"
timeSinceStart
IntThe time in milliseconds since a session of your app has begun
2473741
graphicsDeviceVendor
StringVendor of the user's graphics card
"ATI Technologies Inc."
ram
IntAmount of ram memory in MB on the device
16384

Supported platforms

  • Android
  • iOS
  • Linux
  • macOS
  • Metro
  • SamsungTV
  • Switch
  • Tizen
  • tvOS
  • WebGL
  • Wii
  • Windows

createdAt

No description

enabled

boolean
No description

endDate

string
example: 2020-08-09T17:13:56Z
Timestamp in ISO 8601 UTC format (YYYY-MM-DDThh:mm:ssZ). Upper bound for when enabled rules will cease to be active.

environmentId

string
No description

id

string
No description

kpi

array[string]
List of key performing indicators

name

string
No description

priority

integer
Integer between 0 (highest priority) and 1000 (lowest priority). In the event of a conflict, priority is awarded to the Rule that was created first.

rolloutPercentage

integer
The percentage of your user base that will adhere to this rule. For values less than 100, Unity randomly assigns the Rule to that percent of your players on a user ID basis. While experiences may differ from player to player, players will have a consistent experience each session.

startDate

string
example: 2019-08-09T17:13:56Z
Timestamp in ISO 8601 UTC format (YYYY-MM-DDThh:mm:ssZ). Lower bound for when enabled rules will go into effect.

updatedAt

No description

variants

array[object]
No description

content

array[object]
required
No description

type

string
required
No description

values

array[object]
required
No description
One of

key

string
No description

type

string
No description

value

string
Strings are limited to 10000 characters.

name

string
required
The unique identifier for the variant. Must be non-empty and unique across the variants of a Campaign.

weight

integer
Conditionally optional. If no variants have a weight then Remote Config will treat each variant as equally distributed. However, if one variant has a weight then all variants must define a weight.
If defined, the sum of all variant's weights must equal 100

HTTP response status codes for "Update a single game override":

Code samples for "Update a single game override":

Request example

curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "audience": [ "All" ], "condition": null, "createdAt": "2024-01-01T00:00:00Z", "enabled": false, "endDate": "2020-08-09T17:13:56Z", "environmentId": "string", "id": "string", "kpi": [ "string" ], "name": "string", "priority": 1000, "rolloutPercentage": 100, "startDate": "2019-08-09T17:13:56Z", "updatedAt": "2024-01-01T00:00:00Z", "variants": [ { "content": [ { "type": "settings", "values": [ null ] } ], "name": "string", "weight": 0 } ]}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/campaigns/{id}"

Response example

Delete a single game override


Deletes existing game override
Authorizations
ServiceAccount (remote_config.game_overrides.delete)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.game_overrides.delete

Path parameters for "Delete a single game override"

id

string
required
Campaign Id

projectId

string
required
Unity Project Id

HTTP response status codes for "Delete a single game override":

Code samples for "Delete a single game override":

Request example

curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/campaigns/{id}"

Response example

Get config with the default environment


Obtain the configs with the default environment 'production' or specified environment id
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get config with the default environment"

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

HTTP response status codes for "Get config with the default environment":

Code samples for "Get config with the default environment":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs"

Response example

{ "configs": [ { "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "id": "string", "projectId": "string", "type": "settings", "updatedAt": "2024-01-01T00:00:00Z", "value": [ { "key": "string", "type": "string", "value": "string" } ] } ]}

Create Config


Create Config.
Authorizations
ServiceAccount (remote_config.configs.create)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.create

Path parameters for "Create Config"

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

Request body for "Create Config"

Media Type:
application/json

createdAt

No description

environmentId

string
required
No description

id

No description

projectId

No description

type

string
required
We currently only support one config type.

updatedAt

No description

value

array[object]
required
Array of
Setting
objects that represent the default values in your game.
One of

key

string
No description

type

string
No description

value

string
Strings are limited to 10000 characters.

HTTP response status codes for "Create Config":

Code samples for "Create Config":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "id": "string", "projectId": "string", "type": "settings", "updatedAt": "2024-01-01T00:00:00Z", "value": [ { "key": "string", "type": "string", "value": "string" } ]}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs"

Response example

{ "createdAt": "2024-01-01T00:00:00Z", "id": "string"}

Get All Schemas


Return all schemas for a specific configId
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get All Schemas"

configId

string
required
Path parameter configId

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

configId

string
required
Configuration Id

HTTP response status codes for "Get All Schemas":

Code samples for "Get All Schemas":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{configId}/schemas"

Response example

{ "schemas": [ { "$id": "#currency:coin", "$schema": "http://json-schema.org/draft-07/schema#", "properties": { "count": { "type": "number" }, "name": { "type": "string" } }, "required": [ "name", "count" ], "title": "Currency: coin", "type": "object" } ]}

Create Schema


Create new schema for a specific configId
Authorizations
ServiceAccount (remote_config.configs.create)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.create

Path parameters for "Create Schema"

configId

string
required
Path parameter configId

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

configId

string
required
Configuration Id

Request body for "Create Schema"

Media Type:
application/json

$id

string
required
No description

$schema

string
required
No description

description

string
No description

properties

object
No description

required

array[string]
No description

title

string
required
No description

type

string
No description

HTTP response status codes for "Create Schema":

Code samples for "Create Schema":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "$id": "#currency:coin", "$schema": "http://json-schema.org/draft-07/schema#", "properties": { "count": { "type": "number" }, "name": { "type": "string" } }, "required": [ "name", "count" ], "title": "Currency: coin", "type": "object"}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{configId}/schemas"

Response example

Get Schema


Get a schema
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get Schema"

projectId

string
required
Unity Project Id

configId

string
required
Configuration Id

id

string
required
Schema Id

HTTP response status codes for "Get Schema":

Code samples for "Get Schema":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{configId}/schemas/{id}"

Response example

{ "$id": "#currency:coin", "$schema": "http://json-schema.org/draft-07/schema#", "properties": { "count": { "type": "number" }, "name": { "type": "string" } }, "required": [ "name", "count" ], "title": "Currency: coin", "type": "object"}

Delete Schema


Delete a schema
Authorizations
ServiceAccount (remote_config.configs.delete)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.delete

Path parameters for "Delete Schema"

projectId

string
required
Unity Project Id

configId

string
required
Configuration Id

id

string
required
Schema Id

HTTP response status codes for "Delete Schema":

Code samples for "Delete Schema":

Request example

curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{configId}/schemas/{id}"

Response example

Get Config


Returns Config for a given ID
Authorizations
ServiceAccount (remote_config.configs.get)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.get

Path parameters for "Get Config"

id

string
required
Path parameter id

projectId

string
required
Project ID

id

string
required
Configuration Id

projectId

string
required
Unity Project Id

HTTP response status codes for "Get Config":

Code samples for "Get Config":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{id}"

Response example

{ "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "id": "string", "projectId": "string", "type": "settings", "updatedAt": "2024-01-01T00:00:00Z", "value": [ { "key": "string", "type": "string", "value": "string" } ]}

Update Config


Updates the value of an existing Config
Authorizations
ServiceAccount (remote_config.configs.update)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.update

Path parameters for "Update Config"

id

string
required
Path parameter id

projectId

string
required
Project ID

id

string
required
Configuration Id

projectId

string
required
Unity Project Id

Request body for "Update Config"

Media Type:
application/json

type

string
required
We currently only support one config type.

value

array[object]
required
Array of
Setting
objects that represent the default values in your game.
One of

key

string
No description

type

string
No description

value

string
Strings are limited to 10000 characters.

HTTP response status codes for "Update Config":

Code samples for "Update Config":

Request example

curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "type": "settings", "value": [ { "key": "string", "type": "string", "value": "string" } ]}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{id}"

Response example

Delete Config


Deletes an existing Config
Authorizations
ServiceAccount (remote_config.configs.delete)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.delete

Path parameters for "Delete Config"

id

string
required
Path parameter id

projectId

string
required
Project ID

id

string
required
Configuration Id

projectId

string
required
Unity Project Id

HTTP response status codes for "Delete Config":

Code samples for "Delete Config":

Request example

curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs/{id}"

Response example

Copy Config Settings


Copies specified settings from a source Config to a destination Config
Authorizations
ServiceAccount (remote_config.configs.update)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.update

Path parameters for "Copy Config Settings"

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

Request body for "Copy Config Settings"

Media Type:
application/json

destinationConfigId

string
required
No description

settings

array[string]
required
Array of
Setting
keys that represent the Settings to be copied.

sourceConfigId

string
required
No description

HTTP response status codes for "Copy Config Settings":

Code samples for "Copy Config Settings":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "destinationConfigId": "string", "settings": [ "string" ], "sourceConfigId": "string"}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/configs:copyto"

Response example

{ "code": 0, "message": "string", "settings": [ "string" ]}

Get All Environments


Returns the list of environments for a Project.
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get All Environments"

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

HTTP response status codes for "Get All Environments":

Code samples for "Get All Environments":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments"

Response example

{ "environments": [ { "createdAt": "2024-01-01T00:00:00Z", "id": "string", "name": "string", "projectId": "string", "updatedAt": "2024-01-01T00:00:00Z" } ]}

Get all game overrides


Returns all game overrides for a given project and environment
Authorizations
ServiceAccount (remote_config.game_overrides.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.game_overrides.list

Path parameters for "Get all game overrides"

environmentId

string
required
Path parameter environmentId

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

environmentId

string
required
Unity environmentId

HTTP response status codes for "Get all game overrides":

Code samples for "Get all game overrides":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments/{environmentId}/campaigns"

Response example

{ "campaigns": [ { "audience": [ "10c13fd6-927f-4875-8a76-f9ec240c6727" ], "condition": "app.score >= 10", "createdAt": "2024-01-01T00:00:00Z", "description": "This override is a test", "enabled": false, "endDate": "2020-08-09T17:13:56Z", "environmentId": "string", "id": "string", "kpi": [ "string" ], "name": "string", "priority": 1000, "projectId": "string", "rolloutPercentage": 100, "startDate": "2019-08-09T17:13:56Z", "updatedAt": "2024-01-01T00:00:00Z", "variants": [ { "content": [ null ], "name": "string", "weight": 0 } ] } ]}

Get Environment


Return environment for a given ID
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get Environment"

id

string
required
Path parameter id

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

id

string
required
Environment Id

HTTP response status codes for "Get Environment":

Code samples for "Get Environment":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments/{id}"

Response example

{ "createdAt": "2024-01-01T00:00:00Z", "id": "string", "name": "string", "projectId": "string", "updatedAt": "2024-01-01T00:00:00Z"}

Get Configs by Environment ID


Returns the list of all configs for a Environment. Currently, the only supported config type is "settings"
Authorizations
ServiceAccount (remote_config.configs.get)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.get

Path parameters for "Get Configs by Environment ID"

id

string
required
Path parameter id

projectId

string
required
Project ID

projectId

string
required
Unity Project Id

id

string
required
Environment Id

HTTP response status codes for "Get Configs by Environment ID":

Code samples for "Get Configs by Environment ID":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments/{id}/configs"

Response example

{ "configs": [ { "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "id": "string", "projectId": "string", "type": "settings", "updatedAt": "2024-01-01T00:00:00Z", "value": [ { "key": "string", "type": "string", "value": "string" } ] } ]}

Get Config by type


Returns the config specified by the config type
Authorizations
ServiceAccount (remote_config.configs.list)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.list

Path parameters for "Get Config by type"

projectId

string
required
Unity Project Id

id

string
required
Environment Id

configType

string
required
Config type needed for retrieval.

HTTP response status codes for "Get Config by type":

Code samples for "Get Config by type":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments/{id}/configs/{configType}"

Response example

{ "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "id": "string", "projectId": "string", "type": "settings", "updatedAt": "2024-01-01T00:00:00Z", "value": [ { "key": "string", "type": "string", "value": "string" } ]}

Set Default Environment


Set the default environment
Authorizations
ServiceAccount (remote_config.configs.update)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: remote_config.configs.update

Path parameters for "Set Default Environment"

projectId

string
required
Unity Project Id

Request body for "Set Default Environment"

Media Type:
application/json

id

string
required
No description

HTTP response status codes for "Set Default Environment":

Code samples for "Set Default Environment":

Request example

curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "id": "string"}' \ "https://services.api.unity.com/remote-config/v1/projects/{projectId}/environments/default"

Response example